GIT – PHPShield is an encoder application that is used to protect the code which is an excellent option for encoding your files if you don’t require any time limiting, IP/Domain locking or other licensing features which are available in phpSHIED older brother SourceGuardian.

This post will cover installing phpSHIELD on a server (RH based distros). You must have access to your server which means if you have shared hosting account, you won’t be able to phpSHIELD. In this case, you’ll need to contact your hosting provider and to ask them about phpshield loades.

The first step is to find out which PHP version do you have with

# php -v

and you will get something like

PHP 5.1.6 (cli) (built: Feb  2 2012 18:25:25)
Copyright (c) 1997-2006 The PHP Group
Zend Engine v2.1.0, Copyright (c) 1998-2006 Zend Technologies

Then loaders from this link (according to your platform) and unpack them on your local drive.

The next step is to upload encoded files and visit app link. You should get something like

PHP script /var/www/html/myApp/index.php is protected by phpSHIELD and requires the phpSHIELD loader phpshield.5.1.lin. The phpSHIELD loader has not been installed, or is not installed correctly. Please visit the phpSHIELD php encoder site to download required loader.

Note: The files in my case were encoded by older PHPShield (3.1). The new version (8.x) will probably have the same message where phpshield.5.1.lin will be replaced with ixed.5.1.lin

I suppose that your server is a 64bit which means that PHP will load modules from /usr/lib64/php/modules dir.

Copy downloaded ixed.5.1.lin file inside /usr/lib64/php/modules dir.

Then open /etc/php.ini and add the next line at the end of the file

extension=ixed.5.1.lin

Save the changes and restart apache (service restart)

Print Friendly

Comments

comments

Bài viết liên quan